Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1958130 - KDE Plasma Wayland right-clicking on panels does not work
Summary: KDE Plasma Wayland right-clicking on panels does not work
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: 34
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: KDEWaylandRelated
TreeView+ depends on / blocked
 
Reported: 2021-05-07 09:26 UTC by Amirerfan Rafati
Modified: 2022-06-07 22:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-07 22:26:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
output of `journalctl -ab` command. Login started at 13:20 (deleted)
2021-05-07 09:26 UTC, Amirerfan Rafati
no flags Details
output of `lspci -nn` command (deleted)
2021-05-07 09:28 UTC, Amirerfan Rafati
no flags Details
sorted output of `rpm -qa` command (deleted)
2021-05-07 09:29 UTC, Amirerfan Rafati
no flags Details

Description Amirerfan Rafati 2021-05-07 09:26:19 UTC
Created attachment 1780640 [details]
output of `journalctl -ab` command. Login started at 13:20

Description of problem:
When using KDE Plasma on Wayland, right-clicking on panels or widgets on panels does not have any result.

Version-Release number of selected component (if applicable):
plasma-desktop: 5.21.4-1.fc34.x86_64
KDE Framework: 5.80.0-1.fc34.x86_64
libwayland-server: 1.19.0-1.fc34.x86_64


How reproducible:
Happens every time

Steps to Reproduce:
1. Log in to Plasma Wayland desktop session using SDDM
2. Right-click on any panel or any widget on any panel.
3. Observe the bug

Actual results:
Right-clicking on panel or panel widgets does not have any result. Even in edit mode.

Expected results:
Right-clicking on panel or panel widgets should display an appropriate menu.

Additional info:
the bug is not present in the X11 desktop session.

Comment 1 Amirerfan Rafati 2021-05-07 09:28:51 UTC
Created attachment 1780642 [details]
output of `lspci -nn` command

Comment 2 Amirerfan Rafati 2021-05-07 09:29:55 UTC
Created attachment 1780643 [details]
sorted output of `rpm -qa` command

Comment 3 Ben Cotton 2022-05-12 15:36:23 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 4 Ben Cotton 2022-06-07 22:26:21 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.